com.aispeech.dui.dds.auth

## Class AuthType

- java.lang.Object
- - com.aispeech.dui.dds.auth.AuthType

-     public class AuthType
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AISPEECH_ID` AISpeech ID auth, OAuth 2.0.
    `static java.lang.String` | `PROFILE` API Key + profile Auth.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthType()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AISPEECH_ID

          public static final java.lang.String AISPEECH_ID

      AISpeech ID auth, OAuth 2.0.
      See Also:
        Constant Field Values

    - #### PROFILE

          public static final java.lang.String PROFILE

      API Key + profile Auth.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AuthType

          public AuthType()